List chat threads.
List chat threads.
GET
https://staging.softsolz.uk/api/v1/services/smart-chat/threadsRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Headers
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Query Params
limitintegerPage size, 1-200 (default 50).
offsetintegerPagination offset (default 0).
Response
Response Body · array of objects
idstringThread id.titlestringThread title.visibilitystringWho can see the thread.created_atstringCreation timestamp.updated_atstringLast update timestamp.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.smartChat.listThreads({});console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": [ { "id": "string", "title": "string", "visibility": "string", "created_at": "string", "updated_at": "string" } ]}